Package com.usatiuk.dhfs

# Interface ProtoSerializer<M extends com.google.protobuf.Message,O>

All Known Implementing Classes:
  `JObjectKeyProtoSerializer`, `PeerInfoProtoSerializer`, `TemporaryOpSerializer`, `TemporaryReceivedObjectSerializer`, `TemporaryRemoteObjectSerializer`

public interface ProtoSerializer<M extends com.google.protobuf.Message,O>

## Method Summary

Modifier and Type
Method
Description
`O`
`deserialize(M message)`
`M`
`serialize(O object)`

## Method Details

### deserialize

O deserialize(M message)

### serialize

M serialize(O object)